Summary: JPGraph
%define name jpgraph
%define version 4.3.4
%define release 1
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME Server/addon
Source: %{name}-%{version}.tgz
Patch0: jpgraph-patch-ttf-dir.patch
#Patch1: jpgraph-bz1111.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools
Requires: smeserver-release >= 10.0
Requires: msttcorefonts

%changelog
* Mon Nov 23 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 4.3.4-1-sme
- Initial import to SME10 tree [SME: 11178]
- requires msttcorefonts
- patch to set the msttcorefonts dir in config

%description
JpGraph is an Object-Oriented Graph creating library for PHP5 (>=5.1) and PHP7.0 

%prep
%setup
%patch0 -p1
#%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
